summaryrefslogtreecommitdiffstats
path: root/tests/data_plane/vpp_lite_topo/test_driver/basic_single_icmp.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/data_plane/vpp_lite_topo/test_driver/basic_single_icmp.sh')
-rw-r--r--tests/data_plane/vpp_lite_topo/test_driver/basic_single_icmp.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/data_plane/vpp_lite_topo/test_driver/basic_single_icmp.sh b/tests/data_plane/vpp_lite_topo/test_driver/basic_single_icmp.sh
index 39f4f4c..02a9d06 100644
--- a/tests/data_plane/vpp_lite_topo/test_driver/basic_single_icmp.sh
+++ b/tests/data_plane/vpp_lite_topo/test_driver/basic_single_icmp.sh
@@ -31,3 +31,20 @@ function test_single_icmp
print_status $rc "No ICMP response!"
exit $test_result
}
+
+function test_single_icmp_no_counters
+{
+ 2_node_topo_setup no_odl
+ maybe_pause
+ test_result=1
+
+ # send only one ping request
+ ip netns exec vppns1 "${1}" -c 1 "${2}"
+ rc=$?
+
+ # test done
+ maybe_pause
+ 2_node_topo_clean no_odl
+ print_status $rc "No ICMP response!"
+ exit $test_result
+}